PETSc version 3.17.4
Fix/Edit manual page

# MatSTRUMPACKSetHSSAbsTol

Set STRUMPACK absolute tolerance for HSS compression

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetHSSAbsTol(Mat F,PetscReal atol)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-STRUMPACK interface
| atol | - absolute compression tolerance

### Options Database

| -mat_strumpack_hss_abs_tol <1e | - 8> - Absolute compression tolerance (None)

### References

| * | - STRUMPACK manual

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

### Implementations

MatSTRUMPACKSetHSSAbsTol_STRUMPACK in src/mat/impls/aij/mpi/strumpack/strumpack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages